<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: llg/rhsfunction.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_ad11b878d2835527517911859427b54f.html">llg</a>
  </div>
</div>
<div class="contents">
<h1>rhsfunction.c File Reference</h1><code>#include &quot;<a class="el" href="llg_8h_source.html">llg.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for rhsfunction.c:</div>
<div class="dynsection">
<div class="center"><img src="rhsfunction_8c__incl.png" border="0" usemap="#llg_2rhsfunction_8c_map" alt=""/></div>
<map name="llg_2rhsfunction_8c_map" id="llg_2rhsfunction_8c">
<area shape="rect" id="node3" href="llg_8h.html" title="llg.h" alt="" coords="179,86,224,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="rhsfunction_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6">RHSfunction</a> (realtype t, N_Vector u, N_Vector udot, void *f_data)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a5e964b5572e1640d9a793c353f6a28f6"></a><!-- doxytag: member="rhsfunction.c::RHSfunction" ref="a5e964b5572e1640d9a793c353f6a28f6" args="(realtype t, N_Vector u, N_Vector udot, void *f_data)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int RHSfunction </td>
          <td>(</td>
          <td class="paramtype">realtype&nbsp;</td>
          <td class="paramname"> <em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">N_Vector&nbsp;</td>
          <td class="paramname"> <em>u</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">N_Vector&nbsp;</td>
          <td class="paramname"> <em>udot</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>f_data</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="rhsfunction_8c_source.html#l00031">31</a> of file <a class="el" href="rhsfunction_8c_source.html">rhsfunction.c</a>.</p>

<p>References <a class="el" href="calc__dMdt_8c_source.html#l00034">calc_dMdt()</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>, and <a class="el" href="griddata_8h_source.html#l00145">GridData::time</a>.</p>

<p>Referenced by <a class="el" href="mytscreatepvode_8c_source.html#l00042">PVodeInit()</a>, and <a class="el" href="mytscreatepvode_8c_source.html#l00237">PVodeReInit()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="rhsfunction_8c_a5e964b5572e1640d9a793c353f6a28f6_cgraph.png" border="0" usemap="#rhsfunction_8c_a5e964b5572e1640d9a793c353f6a28f6_cgraph_map" alt=""></div>
<map name="rhsfunction_8c_a5e964b5572e1640d9a793c353f6a28f6_cgraph_map" id="rhsfunction_8c_a5e964b5572e1640d9a793c353f6a28f6_cgraph">
<area shape="rect" id="node3" href="calc__dMdt_8c.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="149,238,232,269"/><area shape="rect" id="node5" href="field_8h.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="281,238,327,269"/><area shape="rect" id="node7" href="field_8h.html#ace2ad4bc212a40902a58d3bfdaa0518a" title="Hcubic" alt="" coords="384,105,445,135"/><area shape="rect" id="node11" href="field_8h.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="380,211,449,242"/><area shape="rect" id="node45" href="field_8h.html#a97e3d5671797656fb91afa5e61778e74" title="Helastic" alt="" coords="380,158,449,189"/><area shape="rect" id="node51" href="field_8h.html#ab3c152ad4a30f46fd55fff971a53d2ae" title="Hexchani" alt="" coords="377,265,452,295"/><area shape="rect" id="node58" href="field_8h.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="376,530,453,561"/><area shape="rect" id="node95" href="htot_8c.html#a85ee39fe66d72226d10cb331fda60cd1" title="Htot_Init" alt="" coords="380,583,449,614"/><area shape="rect" id="node9" href="hcubic_8c.html#a01373c5662322678c71a3420ab8b0790" title="Hcubic_Init" alt="" coords="511,105,596,135"/><area shape="rect" id="node13" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="507,211,600,242"/><area shape="rect" id="node15" href="bmatrix_8c.html#a02081555af5c4ef64cc4674f52b4d446" title="BMatrix" alt="" coords="681,159,748,190"/><area shape="rect" id="node21" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="839,55,945,86"/><area shape="rect" id="node28" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="845,213,939,243"/><area shape="rect" id="node35" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="668,263,761,294"/><area shape="rect" id="node41" href="elevertvol_8c.html#add57a81e67724a47fc306e81ccec2a5e" title="tetgrad" alt="" coords="684,317,745,347"/><area shape="rect" id="node17" href="bele_8c.html#affb52b9f2b0f2fd0d97c0519704464c8" title="Bele" alt="" coords="1040,162,1088,193"/><area shape="rect" id="node30" href="bmatrix_8c.html#a6ef9ef50f16bc7123b3585a730fa9afa" title="VertBSA" alt="" coords="856,109,928,139"/><area shape="rect" id="node19" href="solidangle_8c.html#a11f1b219c8bea88b0d4efaa49d9e109e" title="PointFromPlane" alt="" coords="1169,122,1281,153"/><area shape="rect" id="node23" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="1168,42,1283,73"/><area shape="rect" id="node25" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="1017,55,1111,86"/><area shape="rect" id="node32" href="solidangle_8c.html#a1e2c6c7a1101373c5702b927ca66405f" title="SolidAngle" alt="" coords="1023,109,1105,139"/><area shape="rect" id="node37" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="841,266,943,297"/><area shape="rect" id="node43" href="init_8h.html#ad362da888961433eb994e6a5bc0c818d" title="tetvol" alt="" coords="865,319,919,350"/><area shape="rect" id="node47" href="helastic_8c.html#a396340125882d5038a4dbdadc4468699" title="Helastic_Init" alt="" coords="507,158,600,189"/><area shape="rect" id="node49" href="helastic_8c.html#af12c767230bdb7467dd25210d5fefe50" title="ReadProp" alt="" coords="676,5,753,35"/><area shape="rect" id="node53" href="hexch__ani_8c.html#a9db4f6f0ac5776543bcd4f802226942e" title="Hexchani_Init" alt="" coords="503,265,604,295"/><area shape="rect" id="node60" href="field_8h.html#a2866a2d9dd35b17789e06b1b79ab72cc" title="Hext_cu" alt="" coords="519,717,588,747"/><area shape="rect" id="node64" href="field_8h.html#aeb00096e7649b4910f8fa67dc6f27401" title="Hext_ho" alt="" coords="519,530,588,561"/><area shape="rect" id="node82" href="field_8h.html#a30cb382d2ba1eb8b00264cf43ce43e05" title="Hext_kq" alt="" coords="519,583,588,614"/><area shape="rect" id="node86" href="field_8h.html#a66aec7a3ca42c0059d2b330ca937a555" title="Hext_py" alt="" coords="519,423,588,454"/><area shape="rect" id="node93" href="hexternal_8c.html#a3459c1707cc058f462cb730e78809f17" title="Hexternal_Init" alt="" coords="503,637,604,667"/><area shape="rect" id="node62" href="hext__cu_8c.html#ad490e336bf2582884e7e3191bd37891a" title="Hext_cu_Init" alt="" coords="668,743,761,774"/><area shape="rect" id="node66" href="ipol_8c.html#a3e2699b016b84132ec08d3795b951dd9" title="getscalf" alt="" coords="681,583,748,614"/><area shape="rect" id="node68" href="field_8h.html#a2e1ef17932652e8d616587011fb09c63" title="Hext_ho_hsweep" alt="" coords="655,477,775,507"/><area shape="rect" id="node70" href="hext__ho_8c.html#aa7f4b51477b5dcd5afd1f4b73ffde571" title="Hext_ho_Init" alt="" coords="668,637,761,667"/><area shape="rect" id="node80" href="util_8h.html#aa88f92d349ee3335807573e6ff373963" title="VecSetVec" alt="" coords="672,530,757,561"/><area shape="rect" id="node72" href="hext__ho_8c.html#aed1404d744513b58ba58166a487dcbdf" title="Hext_ho_hstep_Init" alt="" coords="825,610,959,641"/><area shape="rect" id="node76" href="hext__ho_8c.html#ad61d58b7779a7d182a09c9becae36af1" title="Hext_ho_ht_Init" alt="" coords="836,663,948,694"/><area shape="rect" id="node74" href="field_8h.html#a567e7efd2748f5b33963b581ed12626c" title="read_hstep_file" alt="" coords="1009,610,1119,641"/><area shape="rect" id="node78" href="ipol_8c.html#a7c6add33a29c7ae759615a08798ee75d" title="readht" alt="" coords="1035,663,1093,694"/><area shape="rect" id="node84" href="hext__kq_8c.html#aac24a1f9bfe67ce4a008a31375cb1d01" title="Hext_kq_Init" alt="" coords="668,690,761,721"/><area shape="rect" id="node88" href="hext__py_8c.html#a9570f5d09accfa97e676f862b1acb592" title="hext_f" alt="" coords="685,423,744,454"/><area shape="rect" id="node90" href="hext__py_8c.html#a53aac86dc06657ac5dc89f8f21bd4a70" title="Hext_py_Init" alt="" coords="668,370,761,401"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="rhsfunction_8c_a5e964b5572e1640d9a793c353f6a28f6_icgraph.png" border="0" usemap="#rhsfunction_8c_a5e964b5572e1640d9a793c353f6a28f6_icgraph_map" alt=""></div>
<map name="rhsfunction_8c_a5e964b5572e1640d9a793c353f6a28f6_icgraph_map" id="rhsfunction_8c_a5e964b5572e1640d9a793c353f6a28f6_icgraph">
<area shape="rect" id="node3" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="157,5,235,35"/><area shape="rect" id="node11" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="149,58,243,89"/><area shape="rect" id="node5" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="392,5,523,35"/><area shape="rect" id="node7" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="571,5,629,35"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="677,31,728,62"/><area shape="rect" id="node13" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="291,57,344,87"/><area shape="rect" id="node15" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="393,58,521,89"/><area shape="rect" id="node18" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="573,58,627,89"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

